org.apache.solr.spelling.suggest

## Class DocumentDictionaryFactory

- java.lang.Object
- - org.apache.solr.spelling.suggest.DictionaryFactory
  - - org.apache.solr.spelling.suggest.DocumentDictionaryFactory

-     public class DocumentDictionaryFactory
      extends DictionaryFactory

  Factory for `DocumentDictionary`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `CONTEXT_FIELD`
    `static String` | `FIELD`
    `static String` | `PAYLOAD_FIELD`
    `static String` | `WEIGHT_FIELD`

    - ### Fields inherited from class org.apache.solr.spelling.suggest.DictionaryFactory

      `DEFAULT_FILE_BASED_DICT, DEFAULT_INDEX_BASED_DICT, params`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentDictionaryFactory()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Dictionary` | `create(SolrCore core, SolrIndexSearcher searcher)` Create a Dictionary using options in `core` and optionally uses `searcher`, in case of index based dictionaries

    - ### Methods inherited from class org.apache.solr.spelling.suggest.DictionaryFactory

      `setParams`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FIELD

          public static final String FIELD

      See Also:
        Constant Field Values

    - #### WEIGHT_FIELD

          public static final String WEIGHT_FIELD

      See Also:
        Constant Field Values

    - #### PAYLOAD_FIELD

          public static final String PAYLOAD_FIELD

      See Also:
        Constant Field Values

    - #### CONTEXT_FIELD

          public static final String CONTEXT_FIELD

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DocumentDictionaryFactory

          public DocumentDictionaryFactory()

  - ### Method Detail

    - #### create

          public Dictionary create(SolrCore core,
                                   SolrIndexSearcher searcher)

      Description copied from class: `DictionaryFactory`
      Create a Dictionary using options in `core` and optionally uses `searcher`, in case of index based dictionaries
      Specified by:
        `create` in class `DictionaryFactory`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.